Bug 1306026 - python-mysql: nothing provides python2-mysql
python-mysql: nothing provides python2-mysql
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-mysql (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Dorňák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-09 16:03 EST by Carl George
Modified: 2016-11-30 19:59 EST (History)
2 users (show)

See Also:
Fixed In Version: python-mysql-1.3.7-4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-03 15:26:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl George 2016-02-09 16:03:30 EST
Description of problem:
According to the Packaging Guidelines, the subpackage containing the python2 version must provide python2-mysql.  This can be accomplished with a virtual provides or by changing the subpackage layout so that there are python2-mysql and python3-mysql subpackages.

> Name: python-mysql

> %package -n python2-mysql

> %package -n python3-mysql

Additional info:
http://fedoraproject.org/wiki/Packaging:Python#Provides
http://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Carl George 2016-02-20 15:45:48 EST
Has there been any progress on this?  I can assist with updating the spec file if I am added as a maintainer.
Comment 3 Fedora Update System 2016-02-22 08:09:24 EST
python-mysql-1.3.7-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e9066e3547
Comment 5 Fedora Update System 2016-02-22 11:38:29 EST
python-mysql-1.3.7-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-eca3958656
Comment 6 Fedora Update System 2016-02-24 16:52:39 EST
python-mysql-1.3.7-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-eca3958656
Comment 7 Fedora Update System 2016-03-03 15:26:04 EST
python-mysql-1.3.7-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.